HTTPD(8)

NAME
httpd - HTTP daemon

SYNOPSIS
httpd [-dnv] [-D macro=value] [-f file]

DESCRIPTION
The httpd daemon is an HTTP server with FastCGI and TLS support.

The FastCGI implementation has optional socket support. httpd can log to syslog(3) or per-server files with several standard formats.

httpd rereads its configuration file when it receives SIGHUP and reopens log files when it receives SIGUSR1.

The options are as follows:

-D macro=value
    Set a macro to a value. Macros can be referenced in the configuration files.

-d  Debug mode. Create one server and don't detach or become a daemon. This allows for easy monitoring of httpd.

-f file
    Specifies the configuration file. The default is /etc/httpd.conf.

-n  Check that the configuration is valid, but don't start any servers.

-v  Verbose mode. Multiple -v options increases the verbosity.

FILES
/etc/httpd.conf
    Default configuration file.
/etc/ssl/private/server.key
    Default SSL/TLS server key.
/etc/ssl/server.crt
    Default SSL/TLS server certificate.
/var/run/httpd.sock
    UNIX-domain socket used for communication with httpd.
/var/www/logs/access.log
    Default access log file.
/var/www/logs/error.log
    Default error log file.

SEE ALSO
httpd.conf(5)

HISTORY
The httpd program first appeared in OpenBSD 5.6. httpd is based on relayd(8).

AUTHORS
-nosplit The httpd program was written by Reyk Floeter <reyk@openbsd.org>.